/****************************************************************************
 * Copyright (c) 2022 Christoph Lubrich and others.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * Contributors:
 *   Christoph Lubrich - initial API and implementation
 *
 * SPDX-License-Identifier: EPL-2.0
 *****************************************************************************/
package org.eclipse.ecf.internal.provider.filetransfer.httpclientjava;

import java.security.Principal;

public abstract class Credentials {

	Principal principal;
	char[] password;

	public Principal getUserPrincipal() {
		return principal;
	}

	public char[] getPassword() {
		return password;
	}

	public String getUserName() {
		return getUserPrincipal().getName();
	}

}